//#define DEBUG

#include "tmdlib/TMDlib.h"

#include <iostream>
#include <sstream>
#include <string>  
#include <fstream>
using namespace std;
using namespace TMDlib;
/* Common Block Declarations */

extern string pdfpath;


 void TMD::allFlavuPDFew(double x, double kt, double p, double& up, double& ubar, double& dn, double& dbar, double& strange, double& sbar, double& charm, double& cbar, double& bottom, double& bbar, double& top, double& tbar, double& phot,  double& glu, double& z0 ,double&  wplus, double& wminus,  double& higgs )
{
/* 
* Routine to interpolate TMDgrids and to return momentum weighted TMD parton density as function of x, kt, scale p for different flavors. 
*
* General interpolation routine for PB TMDs (as well as CCFM uPDFs). 
*
* TMDgrid in form of 51,51,51 for logx, logkt2 and log p, for flavours [-6,..,0,... 6, 22, 23, 24,-24, 25], note id=0->id=21 gluon
*
*/
    cout << " allFlavuPDFew - dummy version" << endl;
    return ;
} 

